get
https://api.7digital.com/1.2/track/details/batch
Example request
GET https://api.7digital.com/1.2/track/details/batch?trackids=2146,1347&showerrors=true&oauth_consumer_key=YOUR_KEY_HERE&country=GB&usageTypes=download,subscriptionstreaming,adsupportedstreamingExample response
{
"items": {
"tracks": [
{
"id": 2146,
"title": "Chicken Shake",
"version": "",
"artist": {
"id": 55,
"name": "Stereo MC's",
"appearsAs": "Stereo MC's",
"slug": "stereo-mcs-(2)",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/000/0000000055_150.jpg",
"isPlaceholderImage": true
},
"trackNumber": 10,
"duration": 230,
"explicitContent": false,
"isrc": "GBAAN9290032",
"type": "audio",
"release": {
"id": 206,
"title": "Connected",
"version": "",
"type": "Album",
"barcode": "00731451274329",
"slug": "connected",
"artist": {
"id": 55,
"name": "Stereo MC's",
"appearsAs": "Stereo MC's",
"slug": "stereo-mcs-(2)",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/000/0000000055_150.jpg",
"isPlaceholderImage": true
},
"image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/000/002/0000000206_50.jpg",
"label": {
"id": 466278,
"name": "(P) 1992 Island Records, a division of Universal Music Operations Limited"
},
"licensor": {
"id": 1,
"name": "Universal"
}
},
"discNumber": 1,
"number": 10,
"download": {
"releaseDate": "2015-11-15T00:00:00Z",
"previewDate": "2015-11-15T00:00:00Z",
"packages": [
{
"id": 2,
"description": "Standard",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": "0.99",
"recommendedRetailPrice": "0.99"
},
"formats": [
{
"id": 17,
"description": "MP3 320"
},
{
"id": 33,
"description": "AAC 320"
}
]
},
{
"id": 9,
"description": "Premium",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": "1.49",
"recommendedRetailPrice": "1.49"
},
"formats": [
{
"id": 45,
"description": "FLAC 16-bit 44.1kHz"
}
]
}
]
},
"subscriptionStreaming": {
"releaseDate": "2015-11-15T00:00:00Z"
},
"adSupportedStreaming": {
"releaseDate": "2015-11-15T00:00:00Z"
}
},
{
"id": 1347,
"title": "Give Me A Little More Time",
"version": "",
"artist": {
"id": 96,
"name": "Gabrielle",
"appearsAs": "Gabrielle",
"slug": "gabrielle",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/000/0000000096_150.jpg",
"isPlaceholderImage": true
},
"trackNumber": 5,
"duration": 295,
"explicitContent": false,
"isrc": "GBAQT9600013",
"type": "audio",
"release": {
"id": 96,
"title": "Gabrielle",
"version": "",
"type": "Album",
"barcode": "00042282885821",
"slug": "gabrielle-2",
"artist": {
"id": 96,
"name": "Gabrielle",
"appearsAs": "Gabrielle",
"slug": "gabrielle",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/000/0000000096_150.jpg",
"isPlaceholderImage": true
},
"image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/000/000/0000000096_50.jpg",
"label": {
"id": 474673,
"name": "(P) 1996 Go! Discs Ltd."
},
"licensor": {
"id": 1,
"name": "Universal"
}
},
"discNumber": 1,
"number": 5,
"download": {
"releaseDate": "2015-11-14T00:00:00Z",
"previewDate": "2015-11-14T00:00:00Z",
"packages": [
{
"id": 2,
"description": "Standard",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": "0.99",
"recommendedRetailPrice": "0.99"
},
"formats": [
{
"id": 17,
"description": "MP3 320"
},
{
"id": 33,
"description": "AAC 320"
}
]
},
{
"id": 9,
"description": "Premium",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": "1.49",
"recommendedRetailPrice": "1.49"
},
"formats": [
{
"id": 45,
"description": "FLAC 16-bit 44.1kHz"
}
]
}
]
},
"subscriptionStreaming": {
"releaseDate": "2015-11-14T00:00:00Z"
},
"adSupportedStreaming": {
"releaseDate": "2015-11-14T00:00:00Z"
}
}
],
"errors": []
}
}Specific Error Codes
- HTTP: 1001 - Required parameter trackIds is missing. You must supply a value for the trackIds parameter.
- HTTP: 1002 - Invalid value for parameter trackIds. You must supply a comma-separated list of track ids.
